;;; Hilfslinien.lsp fr ADT 2005
;;; Doris Ulrich, Nov. 2004


(defun c:kh() ;erzeugt eine horizontale Hilfslinie im gewhlten Punkt
(setq altlay (getvar "CLAYER"))
(setq pt (getpoint "\nHorizontale Hilfslinie"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(command "_xline" "_h" pt "")
(setvar "CLAYER" altlay)
(princ)
)
(defun c:kv() ;erzeugt eine vertikale Hilfslinie im gewhlten Punkt
(setq altlay (getvar "CLAYER"))
(setq pt (getpoint "\nVertikale Hilfslinie"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(command "_xline" "_v" pt "")
(setvar "CLAYER" altlay)
(princ)
)
(defun c:kx() ;erzeugt eine Hilfsliniekreuz im gewhlten Punkt
(setq altlay (getvar "CLAYER"))
(setq pt (getpoint "\nHilfslinienkreuz"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(command "_xline" "_h" pt "")
(command "_xline" "_v" pt "")
(setvar "CLAYER" altlay)
(princ)
)
(defun c:ke() ;erzeugt eine Hilfslinie am gewhlten Element
(setq altlay (getvar "CLAYER"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(setq en (nentselp "\nHilfslinie an Element; Objekt whlen: "))
(setq p1 (osnap (cadr en) "_mid") p2 (osnap (cadr en) "_end"))
(command "_xline" p1 p2 "")
(setvar "CLAYER" altlay)
(princ)
)
(defun c:kw() ;erzeugt eine Hilfslinie mit Winkel
(setq altlay (getvar "CLAYER"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(princ "\nHilfslinie mit Winkel; Winkel eingeben: ")
(command "_xline" "w" pause pause "")
(setvar "CLAYER" altlay)
(princ)
)
(defun c:kl()  ;lscht alle Hilfslinien auf dem Layer "0_Hilfslinie
(princ "\nLscht alle Hilfslinie")
(setq as (ssget "X" '((0 . "XLINE")(8 . "0_Hilfslinie"))))
(command "_erase" as "")
(princ)
) 
(defun c:klot() ;erzeugt eine Hilfslinie lotrecht auf gewhlten Punkt
(setq altlay (getvar "CLAYER"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(setq pt (getpoint "\nlotrechte Hilfslinie durch Punkt "))
(command "_xline" "_per" (princ "\n") pt "")
(setvar "CLAYER" altlay)
(princ)
)
(defun c:kpp() ;erzeugt eine Hilfslinie durch 2 Punkte
(setq altlay (getvar "CLAYER"))
(command "_layer" "_m" "0_Hilfslinie" "_c" "rot" "0_Hilfslinie" "_lw" "0" "0_Hilfslinie" "")
(princ "\nHilfslinie durch 2 Punkte")
(command "_xline" pause pause "")
(setvar "CLAYER" altlay)
(princ)
)